\section{Pipeline Context and Datasets\label{datasets}}

The NOAO Mosaic Science Pipeline calibrates Mosaic Camera data taken by any
observing program using the instrument.  The processing occurs some time
after the observations are completed.  In regular operation this happens
within a few days after the observations at a science pipeline data center;
currently in Tucson.

This context of processing a variety of programs after completion of some or
all of the nights leads to a particular pipeline operational model.  This is
discussed in greater depth by \citet{PL012}.  The main consequence of
context and model is that the pipeline operates with many exposures taken
over several days to hopefully include sufficient calibration material.  And
even in this case weather or observer protocols may result of a lack of
calibration data.  The context of the pipeline allows use of calibrations
derived previously from another program through the use of a calibration
library.  The pipeline both stores any calibrations derived during
processing and retrieves any calibrations previously stored.

